package org.apache.cocoon.components.flow.javascript;

import org.apache.avalon.framework.component.ComponentManager;
import org.apache.cocoon.components.flow.ContinuationsManager;
import org.apache.cocoon.components.flow.WebContinuation;
import org.mozilla.javascript.Context;
import org.mozilla.javascript.Function;
import org.mozilla.javascript.Scriptable;
import org.mozilla.javascript.ScriptableObject;
import org.mozilla.javascript.JavaScriptException;

public class JSWebContinuation extends ScriptableObject
{
  protected JSCocoon cocoon;
  protected WebContinuation wk;
  protected ContinuationsManager continuationsMgr;

  public JSWebContinuation() {}

  public String getClassName()
  {
    return "WebContinuation";
  }

  public JSCocoon getJSCocoon()
  {
    return cocoon;
  }

  public WebContinuation getWebContinuation()
  {
    return wk;
  }

  public static Scriptable jsConstructor(Context cx, Object[] args,
                                         Function ctorObj, 
                                         boolean inNewExpr)
    throws Exception
  {
    JSCocoon cocoon = (JSCocoon)args[0];
    // FIXME: why doesn't this work???
//     ComponentManager contMgr
//       = ((ComponentManager)manager).lookup(ContinuationsManager.ROLE);
    ComponentManager manager = cocoon.getComponentManager();

    ContinuationsManager contMgr = cocoon.getContinuationsManager();
    Object kont = args[1];
    Object pwk = args[2];

    JSWebContinuation jswk = new JSWebContinuation();
    WebContinuation wk
      = contMgr.createWebContinuation(kont, (WebContinuation)pwk);
    wk.setUserObject(jswk);

    jswk.cocoon = cocoon;
    jswk.wk = wk;
    jswk.continuationsMgr = contMgr;

    return jswk;
  }

  public String jsGet_id()
  {
    return wk.getId();
  }

  public Object jsGet_continuation()
  {
    return wk.getContinuation();
  }

  public void jsFunction_invalidate()
  {
    continuationsMgr.invalidateWebContinuation(wk);
  }

  public void jsFunction_display()
  {
    wk.display();
  }
}
