package org.apache.cocoon.components.treeprocessor.sitemap;

import org.apache.avalon.excalibur.component.ExcaliburComponentSelector;
import org.apache.avalon.framework.component.ComponentManager;
import org.apache.avalon.framework.component.ComponentSelector;
import org.apache.avalon.framework.component.Composable;
import org.apache.avalon.framework.configuration.Configurable;
import org.apache.avalon.framework.configuration.Configuration;
import org.apache.avalon.framework.configuration.ConfigurationException;
import org.apache.cocoon.components.flow.Interpreter;
import org.apache.cocoon.components.language.generator.GeneratorSelector;
import org.apache.cocoon.components.treeprocessor.AbstractProcessingNodeBuilder;
import org.apache.cocoon.components.treeprocessor.CategoryNode;
import org.apache.cocoon.components.treeprocessor.CategoryNodeBuilder;
import org.apache.cocoon.components.treeprocessor.LinkedProcessingNodeBuilder;
import org.apache.cocoon.components.treeprocessor.MapStackResolver;
import org.apache.cocoon.components.treeprocessor.ProcessingNode;

public class ContinueNodeBuilder extends AbstractProcessingNodeBuilder
  implements Composable
{
  protected ContinueNode node;
  protected ComponentManager manager;

  public void compose(ComponentManager manager)
  {
    this.manager = manager;
  }

  public ProcessingNode buildNode(Configuration config)
    throws Exception
  {
    String contId = config.getAttribute("with");

    this.node = new ContinueNode(contId);
    this.treeBuilder.setupNode(this.node, config);
    if (node instanceof Configurable)
      ((Configurable)this.node).configure(config);

    return this.node;
  }
}
