package org.apache.cocoon.flow;

import antlr.CommonAST;
import antlr.TokenStreamRecognitionException;
import antlr.collections.AST;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.Reader;

public class Translator
{
  static void main(String[] args)
    throws Exception
  {
    Reader input = new BufferedReader(new FileReader(args[0]));

    System.out.println("translating " + args[0]);
    Translator t = new Translator();
    t.translate(input, args[0]);
  }

  public void translate(Reader input, String identifier)
    throws Exception
  {
    FlowLexer lexer = new FlowLexer(input);
    lexer.setFilename(identifier);

    FlowParser parser = new FlowParser(lexer);
    parser.setFilename(identifier);

    try {
      parser.program();
    }
    catch (TokenStreamRecognitionException ex) {
      ex.printStackTrace();
      System.out.println(lexer.getFilename() + ":" + lexer.getLine()
                         + ":" + lexer.getColumn() + ": "
                         + ex.getMessage());
      
    }

    CommonAST ast = (CommonAST)parser.getAST();
    if (ast != null)
      System.out.println(ast.toStringTree());
    else
      System.out.println("nothing returned");
    
  }
}
