/*

 ============================================================================
                   The Apache Software License, Version 1.1
 ============================================================================

 Copyright (C) 1999-2002 The Apache Software Foundation. All rights reserved.

 Redistribution and use in source and binary forms, with or without modifica-
 tion, are permitted provided that the following conditions are met:

 1. Redistributions of  source code must  retain the above copyright  notice,
    this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

 3. The end-user documentation included with the redistribution, if any, must
    include  the following  acknowledgment:  "This product includes  software
    developed  by the  Apache Software Foundation  (http://www.apache.org/)."
    Alternately, this  acknowledgment may  appear in the software itself,  if
    and wherever such third-party acknowledgments normally appear.

 4. The names "Apache Cocoon" and  "Apache Software Foundation" must  not  be
    used to  endorse or promote  products derived from  this software without
    prior written permission. For written permission, please contact
    apache@apache.org.

 5. Products  derived from this software may not  be called "Apache", nor may
    "Apache" appear  in their name,  without prior written permission  of the
    Apache Software Foundation.

 THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
 INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 FITNESS  FOR A PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN NO  EVENT SHALL  THE
 APACHE SOFTWARE  FOUNDATION  OR ITS CONTRIBUTORS  BE LIABLE FOR  ANY DIRECT,
 INDIRECT, INCIDENTAL, SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL  DAMAGES (INCLU-
 DING, BUT NOT LIMITED TO, PROCUREMENT  OF SUBSTITUTE GOODS OR SERVICES; LOSS
 OF USE, DATA, OR  PROFITS; OR BUSINESS  INTERRUPTION)  HOWEVER CAUSED AND ON
 ANY  THEORY OF LIABILITY,  WHETHER  IN CONTRACT,  STRICT LIABILITY,  OR TORT
 (INCLUDING  NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT OF THE  USE OF
 THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 This software  consists of voluntary contributions made  by many individuals
 on  behalf of the Apache Software  Foundation and was  originally created by
 Stefano Mazzocchi  <stefano@apache.org>. For more  information on the Apache
 Software Foundation, please see <http://www.apache.org/>.

*/
package org.apache.cocoon.sunshine.sunrise;

/**
 * The <code>Constants</code> used throughout the core of sunRise.
 *
 * @author <a href="mailto:cziegeler@s-und-n.de">Carsten Ziegeler</a>
 * @version CVS $Id: Constants.java,v 1.2 2002/02/22 06:57:18 cziegeler Exp $
*/
public interface Constants {

    String REQUEST_ATTRIBUTE_HANDLER_NAME     = "org.apache.cocoon.sunshine.sunrise.HandlerName";
    String REQUEST_ATTRIBUTE_APPLICATION_NAME = "org.apache.cocoon.sunshine.sunrise.ApplicationName";
    String REQUEST_ATTRIBUTE_MEDIA_TYPE       = "org.apache.cocoon.sunshine.sunrise.MediaType";

    /** The name of the session attribute storing the context */
    String SESSION_ATTRIBUTE_CONTEXT_NAME = "org.apache.cocoon.sunshine.sunrise.SessionContext";

    /** The name of the session attribute storing the handler configuration */
    String SESSION_ATTRIBUTE_HANDLERS = "org.apache.cocoon.sunshine.sunrise.Handlers";

    /** The name of the sunRise context. */
    String SESSION_CONTEXT_NAME = "sunRise";

    /**
     * The name of the request attribute containing error information for
     *  a failed login to a handler. The real name of the attribute is
     *  obtained by adding the handler name.
     *  The value of the attribute is a document fragment.
     */
    String REQUEST_ATTRIBUTE_FAILED_LOGIN = "org.apache.cocoon.sunshine.sunrise.LoginFailedFor";
}


