<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:dir="http://apache.org/cocoon/directory/2.0"
 xmlns:source="http://apache.org/cocoon/source/1.0">

<!-- your form for editing 'page' doctype content, handles the 'bravo' sub-editor for 'get' and 'new' behaviours -->
	<xsl:template match="editor[@sub='bravo']/instance[@behaviour='get' or @behaviour='new']/page" mode="sub-editor">
		<div class="block">
			<span class="tab">Bravo Editor</span>
			<div class="content">
				<form method="post">
					<xsl:attribute name="action"><xsl:value-of select="$command-base"/><xsl:value-of select="$config/command[@behaviour = 'pre']"/></xsl:attribute>
					<div class="block">
						<span class="tab">Title</span>
						<div class="field">
							<input name="title" size="40"  onchange="changed=true;" value="{normalize-space(title)}"/>
						</div>
					</div>
					<div class="block">
						<span class="tab">Body</span>
						<div class="field">
							<textarea name="content" rows="20" cols="80" xml:space="preserve" onchange="changed=true;"><xsl:apply-templates select="content/*" mode="bravo"/> </textarea>
						</div>
					</div>
					<div class="block">
						<span class="tab">Save as</span>
						<div class="field">
							<input type="text" name="target" value="{$newfile}" size="40" title="Note: to make a new directory, prepend the filename with a directory path"/>
						</div>
						<div class="block" style="text-align:right">
							<input class="submit" type="submit" value="{$config/button[@behaviour = $behaviour]}"/>
						</div>
					</div>						
				</form>	
			</div>
		</div>
  </xsl:template>

<!-- your template for previewing 'page' doctype content, handles the 'bravo' sub-editor for 'pre' behaviour -->
	<xsl:template match="editor[@sub='bravo']/instance[@behaviour='pre']/page" mode="sub-editor">
		<div class="block">
			<span class="tab">Editor Preview</span>
			<div class="content"><xsl:apply-templates mode="editor-view"/></div>
		</div>
		<div class="confirm">
			<span class="tab">Confirm</span>
			<div class="content" id="center">
				<xsl:text>Are you sure you want to save these changes?</xsl:text>
				<form method="post">
					<xsl:attribute name="action"><xsl:value-of select="$command-base"/><xsl:value-of select="$config/command[@behaviour = 'put']"/></xsl:attribute>
					<input name="title" type="hidden" value="{normalize-space(title)}"/>
					<textarea class="hidden" name="content" xml:space="preserve" onchange="changed=true;"><xsl:apply-templates select="content/*" mode="bravo"/> </textarea>
					<input name="target" type="hidden" value="{$newfile}"/>
					<input type="button" value="{$config/button[@behaviour = 'back']}" onClick="history.back()" title="{$config/button[@behaviour = 'back']/@tip}" class="button"/> 
					<span class="hspace"> </span>
					<input name="{$config/button[@behaviour = $behaviour]}" class="submit" type="submit" value="{$config/button[@behaviour = $behaviour]}"/>
				</form>	
			</div>
		</div>
  </xsl:template>

	<xsl:template match="b|i|a|strong|em|ul|ol|li" mode="bravo"><xsl:copy><xsl:apply-templates select="@*|*|text()"/></xsl:copy></xsl:template>

	<xsl:template match="br" mode="bravo">
		<xsl:text>
</xsl:text>
	</xsl:template><!---->

	<xsl:template match="para" mode="bravo"><!-- strips 'br' tags, so they need a CR after them to survive! -->
		<xsl:apply-templates mode="bravo"/>
		<xsl:text>

</xsl:text>
	</xsl:template>

</xsl:stylesheet>
