<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:sch="http://www.ascc.net/xml/schematron" 
 xmlns:zvon="http://zvon.org/schematron"
 xmlns:request="http://xml.apache.org/cocoon/requestgenerator/2.0"

 >

	<!-- 
		This is the main Editor Stylesheet
		It adapts itself to the particular command being sent in the structure of the XML.
		It uses information stored in 'editor/docs/[sub-editor]-config.xml' to work out the commands, static strings etc.
	-->
	
	<xsl:include href="editor-utils.xsl"/>								<!-- utility templates and variables -->
	<xsl:include href="editor-components.xsl"/>						<!-- generic editor display templates -->
	<xsl:include href="editor-alpha-components.xsl"/>			<!-- "alpha" sub-editor display templates -->
	<xsl:include href="editor-bravo-components.xsl"/>			<!-- "bravo" sub-editor display templates -->
	<!-- add your "sub-editors" here -->

	<xsl:template match="slash-edit">
   <html>
   <head>
    <title><xsl:value-of select="$config/@title"/> - <xsl:value-of select="$config/title[@behaviour = $behaviour]"/> - <xsl:value-of select="$target"/></title>
    <xsl:if test="$is-form = 'true'">
			<script lang="JavaScript"><![CDATA[
				var changed = false;
				function exit(to){
					if (changed == true) {
						if (confirm("Are you sure you want to loose your changes?")) {
							document.location.href = to;
						}
					} else {
						document.location.href = to;
					}
					//return false;
				}]]>
				<xsl:choose><!-- check user exiting, while the changes are still not saved -->
					<xsl:when test="editor/validationResult/pattern/error">changed = true;</xsl:when>
					<xsl:when test="$behaviour = 'pre'">changed = true;</xsl:when>
				</xsl:choose>
			</script>
    </xsl:if>
    
    
    <!-- this will move into a separate file, when it has settled down -->
    <style><![CDATA[

    	.title
    	{
    		text-align: center;
    		font-size: 18px;
    		font-weight: bold;
    		font-family: sans-serif,Arial,Tahoma;
    		color: black;
    		background: white;
    		border-color: black;
    		border-width: 10px;
    	}
    	
    	.main
    	{
    		border: 1px solid #0086B2;
    		padding: 0px;
    		margin: 6px;
    		min-width: 630px;
    	}
    	
    	.head
    	{
    		border-bottom: #0086B2;
    		border-width: 0 0 1px 0;
    		border-style: none none solid none;
    		padding: 6px 6px 3px 6px;
    	}
    	
    	.block { padding: 6px; }
    	
    	.confirm
    	{
    		width: 40%;
    		margin-left: 50%;
    		padding: 6px;
    	}
    	
    	.content
    	{
    		border: 1px solid #0086B2; 
    		padding: 6px;
    		margin: 1px;
    	}
 
    	tr 
    	{
    		padding: 2px 6px 2px 6px;
    	}
   	    	
    
    	.col1
    	{
    		font-weight: bold;
    	}

     	.error .col1
    	{
    		padding: 2px 20px 2px 6px;
    	}

     	.error .col2
    	{
    		color:#BB0000;
    		padding: 2px 20px 2px 6px;
    	}
   	
    	.field { }
    	
    	.notify
    	{
    		font-size: 15px;
    		text-align: left;
    	}
    	
    	.tools { text-align: right; }
    	.tool { padding: 6px; }
    	
    	.notes
    	{
    		font-size: 12px;
    		font-weight: bold;
    		color: white;
    		background: #0086B2;
    		text-align: left;
    		padding: 6px 6px 3px 6px;
    	}
    	
    	.foot
    	{
    		text-align: center;
    		font-size: 12px;
    		margin-top: 50px;
    	}
    	
    	.hspace { margin: 30px; }
    	#left { float: left; }
    	#right { float: right; }
    	#center { text-align: center; }
    	#row { background: #EEFFFF; }
    	
    	.failure
    	{
    		font-weight: bold;
    		color: #BB0000;
    	}
    	
    	.warning
    	{
    		font-weight: bold;
    		color: #BB0000;
    	}
    	
    	.success
    	{
    		font-weight: bold;
    		color: green;
    	}
    	
    	.tab
    	{
    		font-size: 12px;
    		font-weight: bold;
    		color: white;
    		background: #0086B2;
    		padding: 4px 4px 2px 4px;
    		border: 0px solid #0086B2;
    		margin: 1px;
    	}
    	
    	.tab a
    	{
    		text-decoration: none;
    		color: white;
    	}
    	
    	.tab a:visited
    	{
    		text-decoration: none;
    		color: white;
    	}
    	
    	.tab a:link
    	{
    		text-decoration: none;
    		color: white;
    	}
    	
    	.tab a:hover
    	{
    		text-decoration: underline;
    		color: red;
    	}
    	
    	a { text-decoration: none; }
    	
    	a:hover
    	{
    		text-decoration: underline;
    		color: red;
    	}
    	
    	body
    	{
    		font-size: 12px;
    		font-family: sans-serif,Arial,Tahoma;
    		color: black;
    		background: white;
    	}
    	
    	form { font-size: 12px; }
    	
    	textarea
    	{
    		background-color: #EEFFFF;
    		font-size: 12px;
    		font-family: geneva,arial,sans-serif;
    		border-color: #0086B2;
    		border-width: 1px;
    		padding-left: 2px;
    	}
    	
    	textarea.hidden { display: none; }
    	
    	input
    	{
    		background-color: #EEFFFF;
    		font-size: 12px;
    		font-family: geneva,arial,sans-serif;
    		border-color: #0086B2;
    		border-width: 1px;
    		padding-left: 2px;
    	}
    	
    	input.submit
    	{
    		background-color: #0086B2;
    		font-size: 12px;
    		font-family: geneva,arial,sans-serif;
    		border-color: black;
    		border-width: 1px;
    		padding: 2px 6px;
    		font-weight: bold;
    		color: white;
    	}
    	
    	input.button
    	{
    		background-color: #BB0000;
    		font-size: 12px;
    		font-family: geneva,arial,sans-serif;
    		border-color: black;
    		border-width: 1px;
    		padding: 2px 6px;
    		font-weight: bold;
    		color: white;
    	}
   ]]>
    </style>
    </head>
    <body> 
			<div class="title"><xsl:value-of select="$config/@title"/> - site editor demo</div>
			<div class="main">
				<div class="head">
					<div class="notify" id="left"><b><xsl:value-of select="$config/notify[@behaviour = $behaviour]"/> : </b> <xsl:value-of select="$target"/></div>
					<div class="tools"><xsl:apply-templates select="$config/tools[@behaviour = $behaviour]"/></div>
				</div>
				<div class="block">
					<xsl:apply-templates select="editor/validationResult"/>
					<xsl:choose>
						<!-- add your "sub-editors" here -->
						<xsl:when test="editor[@sub = 'alpha']"><xsl:apply-templates select="editor/instance/*" mode="sub-editor"/></xsl:when>
						<xsl:when test="editor[@sub = 'bravo']"><xsl:apply-templates select="editor/instance/*" mode="sub-editor"/></xsl:when>
						<xsl:otherwise><div class="warning"><br/>Houston, we have a problem.<br/></div></xsl:otherwise>
					</xsl:choose>
				</div>
				<div class="notes"><xsl:apply-templates select="$config/notes[@behaviour = $behaviour]"/></div>
			</div>
			<div class="foot">
				&lt;!-- jeremy at apache dot org --&gt;<br/><br/>
				Copyright &#169; 1999-2002 <a href="http://www.apache.org">The Apache Software Foundation</a>.<br/>
				All rights reserved.
			</div>
 		</body>   
    

<!--	debug	<table>
				<tr>
					<td>target</td> <td><xsl:value-of select="$target"/></td>
				</tr>
				<tr>
					<td>command-base</td> <td><xsl:value-of select="$command-base"/></td>
				</tr>
				<tr>
					<td>behaviour</td> <td><xsl:value-of select="$behaviour"/></td>
				</tr>
			</table> 	-->
		<!-- / debug  -->
   </html>
  </xsl:template>

<!-- output the tools for this page -->
	<xsl:template match="tools">
		<xsl:for-each select="tool">
			<xsl:variable name="com" select="@command"/>
			<xsl:variable name="command" select="$config/command[@behaviour = $com]"/>
			<span class="tool">
				<a title="{$command/@tip}">
					<xsl:attribute name="href">
						<xsl:if test="$is-form = 'true'"><xsl:text>javascript:exit('</xsl:text></xsl:if>
						<xsl:choose>
							<xsl:when test="$com = 'new'"><xsl:value-of select="$command-base"/><xsl:value-of select="$command/text()"/><xsl:value-of select="$newfile"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$command-base"/><xsl:value-of select="$command/text()"/><xsl:value-of select="$target"/></xsl:otherwise>
						</xsl:choose>
						<xsl:if test="$is-form = 'true'"><xsl:text>');</xsl:text></xsl:if>
					</xsl:attribute>
					<img src="{concat('image/',$command/@icon)}" border="0"/>
				</a>
			</span>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
