<?xml version="1.0"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

	<xsl:variable name="sub" select="/slash-edit/editor/@sub"/>
	<xsl:variable name="command-base" select="/slash-edit/editor/@command-base"/>
	<xsl:variable name="target" select="/slash-edit/editor/instance/@target"/>
	<xsl:variable name="behaviour">
		<xsl:choose>
			<xsl:when test="/slash-edit/editor/instance/@behaviour !=''"><xsl:value-of select="/slash-edit/editor/instance/@behaviour"/></xsl:when>
			<xsl:otherwise>error</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
<!-- the aggregated editor-config document -->
	<xsl:variable name="config" select="/slash-edit/config"/>

<!-- Do we have a form on this page? -->
	<xsl:variable name="is-form">
		<xsl:choose>
			<xsl:when test="$behaviour = 'get' or $behaviour = 'new' or $behaviour = 'pre'">true</xsl:when>
			<xsl:otherwise>false</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
<!-- what to give as the default name of a new file -->
	<xsl:variable name="newfile">
		<xsl:choose>
			<xsl:when test="$target = '/'">/<xsl:value-of select="$config/default-new-file"/></xsl:when>
			<xsl:when test="substring($target,string-length($target)) = '/'"><xsl:value-of select="$target"/><xsl:value-of select="$config/default-new-file"/></xsl:when>
			<xsl:when test="$target != ''"><xsl:value-of select="$target"/></xsl:when>
			<xsl:otherwise>/<xsl:value-of select="$config/default-new-file"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

<!-- copy anything -->
  <xsl:template match="@*|node()" priority="-2"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
  <xsl:template match="text()" priority="-1"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>