<?xml version="1.0"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>

	<xsl:param name="sub"/>
	<xsl:param name="behaviour"/>

<!-- the relative base for commands -->
	<xsl:variable name="command-base">
	 <xsl:choose>
		 <xsl:when test="$behaviour = 'put'"></xsl:when>
		 <xsl:when test="$behaviour = 'pre'"></xsl:when>
		 <xsl:otherwise>
			<xsl:call-template name="find-base">
			 <xsl:with-param name="path"><xsl:value-of select="$target"/></xsl:with-param>
			</xsl:call-template>
		 </xsl:otherwise>
	 </xsl:choose>
	</xsl:variable>

<!-- find the command base, relative to the current folder -->
	<xsl:template name="find-base">
		<xsl:param name="path"/>
		<xsl:param name="prefix"></xsl:param>
		<xsl:choose>
			<xsl:when test="contains($path,'/')">
				<xsl:call-template name="find-base">
					<xsl:with-param name="path"><xsl:value-of select="substring-after($path,'/')"/></xsl:with-param>
					<xsl:with-param name="prefix"><xsl:value-of select="concat($prefix,'../')"/></xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise><xsl:value-of select="$prefix"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>


<!-- convert double CRs to 'para' tags -->
<xsl:template name="cr2para">
 <xsl:param name="text"/>
 <xsl:choose>
  <xsl:when test="normalize-space(substring-before($text,'&#xD;&#xD;')) != ''">
  <para><xsl:call-template name="cr2br"><xsl:with-param name="text"><xsl:value-of select="substring-before($text,'&#xD;&#xD;')"/></xsl:with-param></xsl:call-template></para>
  <xsl:text>
  </xsl:text>
   <xsl:call-template name="cr2para">
    <xsl:with-param name="text"><xsl:value-of select="substring-after($text,'&#xD;&#xD;')"/></xsl:with-param>				
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="normalize-space($text) != ''">
  <para><xsl:call-template name="cr2br"><xsl:with-param name="text"><xsl:value-of select="$text"/></xsl:with-param></xsl:call-template></para>
  </xsl:when>
 </xsl:choose>
</xsl:template>

<!-- convert single CRs to 'br' tags -->
<xsl:template name="cr2br">
 <xsl:param name="text"/>
 <xsl:choose>
  <xsl:when test="normalize-space(substring-before($text,'&#xD;')) != ''">
<xsl:value-of disable-output-escaping="yes" select="normalize-space(substring-before($text,'&#xD;'))"/><br/>
<xsl:text>
</xsl:text>
   <xsl:call-template name="cr2br">
    <xsl:with-param name="text"><xsl:value-of select="substring-after($text,'&#xD;')"/></xsl:with-param>				
   </xsl:call-template>
  </xsl:when>
  <xsl:when test="normalize-space($text) != ''"><xsl:value-of disable-output-escaping="yes" select="$text"/></xsl:when>
 </xsl:choose>
</xsl:template>

<!-- copy anything -->
  <xsl:template match="@*|node()" priority="-2"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
  <xsl:template match="text()" priority="-1"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>