<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:sch="http://www.ascc.net/xml/schematron" 
 xmlns:zvon="http://zvon.org/schematron"
 xmlns:request="http://xml.apache.org/cocoon/requestgenerator/2.0"
 >

<!-- 

	This StyleSheet changes the behaviour of the Editor if the output of the Validator contains errors.

	NB. the indentation of these templates effects the output document
	
	NB. it can get tricky to decide which namespaces need to be in which stylesheet, 
	to make sure the wrong ones don't end up being written to source
		
-->

<xsl:variable name="behaviour">
	<xsl:choose>
		<xsl:when test="/editor/validationResult/pattern/error">get</xsl:when>			
		<xsl:otherwise><xsl:value-of select="/editor/instance/@behaviour"/></xsl:otherwise>
	</xsl:choose>
</xsl:variable>
 
<xsl:template match="editor">
	<editor>
		<xsl:copy-of select="@*"/>
		<instance behaviour="{$behaviour}" target="{instance/@target}">
<xsl:apply-templates select="instance/*"/>
		</instance>
		<xsl:apply-templates select="validationResult"/>
	</editor>
</xsl:template>

<!-- copy anything -->
  <xsl:template match="@*|node()" priority="-2"><xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy></xsl:template>
  <xsl:template match="text()" priority="-1"><xsl:value-of select="."/></xsl:template>

</xsl:stylesheet>
